petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscDTTanhSinhTensorQuadrature

create tanh-sinh quadrature for a tensor product cell

### Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscDTTanhSinhTensorQuadrature(PetscInt dim, PetscInt level, PetscReal a, PetscReal b, PetscQuadrature *q)

Not Collective

### Input Arguments

| dim | - The cell dimension
| level | - The number of points in one dimension, 2^l
| a | - left end of interval (often-1)
| b | - right end of interval (often +1)

### Output Argument

q -A PetscQuadrature object

### See Also

PetscDTGaussTensorQuadrature()

### Level

intermediate

### Location

src/dm/dt/interface/dt.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages